<?php
error_reporting(7);
//定义一些变量
require("config.php");
$action=$HTTP_GET_VARS["action"];
$search=$HTTP_GET_VARS["search"];
$PHP_SELF=$HTTP_GET_VARS["PHP_SELF"];
if($action=="view_phpinfo")
  {

      echo "<center>";
      phpinfo();
      echo "<p align=\"center\"><button onClick=\"JavaScript:window.close(this.window)\">Close The Window</button></p>";
      echo "</center>";
      exit;
  }
?>
<?php
//网站统计查看界面
//查看年流量统计
if($HTTP_GET_VARS["action"]=="view_yeah")
{
  $fileyeah=file($redhat['path'].$redhat['data11']);
  for($i=0;$i<sizeof($fileyeah);$i++)
    {
       $fileyeah[$i]=trim($fileyeah[$i]);
       $tmp=explode("^_^",$fileyeah[$i]);
       $allnum+=$tmp[1];
    }
  top("网站流量统计--年流量统计");
  echo "<br>网站共访问<font color=red>".$allnum."</font>次";
?>
  <table cellspacing="2" cellpadding=2 width=760>
 <?php
 for($i=0;$i<sizeof($fileyeah);$i++)
 {
   $fileyeah[$i]=trim($fileyeah[$i]);
   $tmp=explode("^_^",$fileyeah[$i]);
   $everynum=($tmp[1]/$allnum)*100;
   $everycent=substr($everynum,0,5)."%";
   $everycent_img=$everynum*6;
   echo "<tr><td valign=\"middle\">".$tmp[0]."年&nbsp;<img src=\"./img/yeah.gif\" width=".$everycent_img." border=0 height=15>(<font color=\"#b90000\">".$everycent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$tmp[1]."</font></td></tr>";
 }
 ?>
  </table>
<?php
  index();
  bottom();
}
//月流量统计
elseif($HTTP_GET_VARS["action"]=="view_month")
{
  top("网站流量统计--".date("Y")."年月流量统计");
  $filemonth=file($redhat['path'].$redhat['data10']);
    for($i=1;$i<sizeof($filemonth);$i++)
       {
         $filemonth[$i]=trim($filemonth[$i]);
         $tmp=explode("^_^",$filemonth[$i]);
         $sum+=$tmp[1];
       }
?>
<?php echo "本站今年共访问<font color=red>".$sum."</font>次";?>
  <table cellspacing=2 cellpadding=2 width=760>
<?php
  for($i=1;$i<sizeof($filemonth);$i++)
    {
      $filemonth[$i]=trim($filemonth[$i]);
      $tmp=explode("^_^",$filemonth[$i]);
      $tmp1=explode("-",$tmp[0]);
      $everynum=($tmp[1]/$sum)*100;
      $everycent=substr($everynum,0,5)."%";
      $everycent_img=$everynum*6;
//      if(eregi("^0",$tmp1[1])) $tmp1[1]=str_replace("0","",$tmp1[1])
      echo "<tr><td valign=\"middle\">".$tmp1[1]."月&nbsp;<img src=\"./img/yeah.gif\" width=".$everycent_img." border=0 height=15>(<font color=\"#b90000\">".$everycent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$tmp[1]."</font></td></tr>";
    }
?>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
<?php
  index();
  bottom();
}

//得到本月流量统计
elseif($HTTP_GET_VARS["action"]=="view_onemonth")
{
  $fileday=file($redhat['path'].$redhat['data9']);
  for($i=1;$i<sizeof($fileday);$i++)
     {
       $fileday[$i]=trim($fileday[$i]);
       $tmp=explode("^_^",$fileday[$i]);
       $allnum+=$tmp[1];
     }
  top("网站流量统计--本月(".date("Y年m月").")流量统计");
  echo "<br>本站本月共访问<font color=red>".$allnum."</font>次";
?>
  <table cellspacing="2" cellpadding=2 width=760>
 <?php
 for($i=1;$i<sizeof($fileday);$i++)
 {
   $fileday[$i]=trim($fileday[$i]);
   $tmp=explode("^_^",$fileday[$i]);
   $t=explode("-",$tmp[0]);
   $everynum=($tmp[1]/$allnum)*100;
   $everycent=substr($everynum,0,5)."%";
   $everycent_img=$everynum*6;
   $getday=$t[2];
//   if(eregi("^0",$getday)) $getday=str_replace("0","",$getday);
   echo "<tr><td valign=\"middle\">".$getday."日&nbsp;<img src=\"./img/yeah.gif\" width=".$everycent_img." border=0 height=15>(<font color=\"#b90000\">".$everycent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$tmp[1]."</font></td></tr>";
 }
 ?>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
  本月没有显示出来的天数为该日访问人数为0
<?php
  index();
  bottom();
}

//今天小时统计
elseif($HTTP_GET_VARS["action"]=="view_hour")
{
   top("网站流量统计--今天(".date("Y-m-d").")小时流量统计");
   echo "<table cellspacing=2 cellpadding=2 width=760>";
   $msg=file($redhat["path"].$redhat["data2"]);
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $hour=explode("^_^",$msg[$i]);
    $allnum+=$hour[1];//得到今天至目前为止流量的总访问数
   }
   for($i=1;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $hour=explode("^_^",$msg[$i]);
    $everynum=$hour[1];
    $hournum=($everynum/$allnum)*100;
    $hourcent=substr($hournum,0,5)."%";
    $hourwidth=$hournum*6;
   echo "<tr><td valign=\"middle\">".$hour[0]."时&nbsp;<img src=\"./img/yeah.gif\" width=".$hourwidth." border=0 height=15>(<font color=\"#b90000\">".$hourcent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$everynum."</font></td></tr>";
   }
echo "</table>";
  echo "<br>今天共访问<font color=red>".$allnum."</font>次";
index();
bottom();
}

//操作系统统计
elseif($HTTP_GET_VARS["action"]=="view_os")
{
   top("网站流量统计--操作系统统计");
   echo "<table cellspacing=2 cellpadding=2 width=760>";
   $msg=file($redhat["path"].$redhat["data5"]);
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $system=explode("^_^",$msg[$i]);
    $allnum+=$system[1];//得到操作系统总数
   }
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $system=explode("^_^",$msg[$i]);
    $everynum=$system[1];
    $systemnum=($everynum/$allnum)*100;
    $systemcent=substr($systemnum,0,5)."%";
    $systemwidth=$systemnum*6;
   echo "<tr><td valign=\"middle\" width=70>".$system[0]."</td><td><img src=\"./img/yeah.gif\" width=".$systemwidth." border=0 height=15>(<font color=\"#b90000\">".$systemcent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$everynum."</font></td></tr>";
   }
echo "</table>";
index();
bottom();
}

//浏览器统计
elseif($HTTP_GET_VARS["action"]=="view_browse")
{
   top("网站流量统计--浏览器统计");
   echo "<table cellspacing=2 cellpadding=2 width=760>";
   $msg=file($redhat["path"].$redhat["data4"]);
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $browse=explode("^_^",$msg[$i]);
    $allnum+=$browse[1];//得到浏览器总数
   }
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $browse=explode("^_^",$msg[$i]);
    $everynum=$browse[1];
    $browsenum=($everynum/$allnum)*100;
    $browsecent=substr($browsenum,0,5)."%";
    $browsewidth=$browsenum*6;
   echo "<tr><td valign=\"middle\" width=70>".$browse[0]."</td><td><img src=\"./img/yeah.gif\" width=".$browsewidth." border=0 height=15>(<font color=\"#b90000\">".$browsecent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$everynum."</font></td></tr>";
   }
echo "</table>";
index();
bottom();
}

//IP来源统计
elseif($HTTP_GET_VARS["action"]=="view_ip")
{
   top("网站流量统计--IP来源统计");
   echo "<table cellspacing=2 cellpadding=2 width=760>";
   $msg=file($redhat["path"].$redhat["data3"]);
   for($i=0;$i<sizeof($msg);$i++)
   {
    $msg[$i]=trim($msg[$i]);
    $ip=explode("^_^",$msg[$i]);
    $allnum+=$ip[2];//得到IP总数
   }
   if(!$HTTP_GET_VARS["page"]) $page=1;
   else $page=$HTTP_GET_VARS["page"];
   if(!$offset) $offset=$redhat["offset"];
   for($i=$offset*$page-$offset;$i<$offset*$page;$i++)
   {
    $msg[$i]=trim($msg[$i]);
    if(!$msg[$i]) continue;
    $ip1=explode("^_^",$msg[$i]);
    $everynum=$ip1[2];
    $ipnum=($everynum/$allnum)*100;
    $ipcent=substr($ipnum,0,5)."%";
    $ipwidth=$ipnum*5;
    if($ip1[0]=="") $ip1[0]="未知IP";
    if($ip1[1]=="") $ip1[1]="未知地区";
    echo "<tr><td valign=\"middle\" width=60>".$ip1[0]."</td><td>".$ip1[1]."</td><td><img src=\"./img/yeah.gif\" width=".$ipwidth." border=0 height=15>(<font color=\"#b90000\">".$ipcent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$everynum."</font></td></tr>";
   }
 ?>
 <tr bgcolor="#9999ff"><td align="center" colspan=4>
 分页：
 <?php
  $allnum=sizeof($msg);
  $pages=ceil($allnum/$offset);
  if($pages>1)
  {
   for($z=1;$z<=$pages;$z++)
     {
     if($z==$page) echo "<font color=gray>[".$z."]</font>";
    else echo "<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?page=".$z."&action=".$HTTP_GET_VARS["action"]."\">[".$z."]</a>";
     }
  }
  else echo "只有1页";
 ?>
 </td></tr>
 <?php
echo "</table>";
index();
bottom();
}

//URL来源统计
elseif($HTTP_GET_VARS["action"]=="view_urlfrom")
{
   top("网站流量统计--URL来源统计");
   echo "<table cellspacing=2 cellpadding=2 width=760>";
   $msg=file($redhat["path"].$redhat["data6"]);
   for($i=0;$i<sizeof($msg);$i++)
   {
    if(!$msg[$i]) continue;
    $msg[$i]=trim($msg[$i]);
    $url=explode("^_^",$msg[$i]);
    $allnum+=$url[1];//得到URL总数
   }
   if(!$HTTP_GET_VARS["page"]) $page=1;
   else $page=$HTTP_GET_VARS["page"];
   if(!$offset) $offset=$redhat["offset"];
   for($i=$offset*$page-$offset;$i<$offset*$page;$i++)
   {
    $msg[$i]=trim($msg[$i]);
    if(!$msg[$i]) continue;
    $url=explode("^_^",$msg[$i]);
    $everynum=$url[1];
    $urlnum=($everynum/$allnum)*100;
    $urlcent=substr($urlnum,0,5)."%";
    $urlwidth=$urlnum*3;
    if(strlen($url[0])>=50) $url1=substr($url[0],0,50)."...";
     else $url1=$url[0];
    if(ereg("^http://",$url[0])) $url[0]="<a href=\"".$url[0]."\" target=\"_blank\" title=\"".$url[0]."\">".$url1."</a>";
   echo "<tr><td valign=\"middle\" width=300>".$url[0]."</td><td><img src=\"./img/yeah.gif\" width=".$urlwidth." border=0 height=15>(<font color=\"#b90000\">".$urlcent."</font>)</td><td align=\"right\" width=100>访问次数：<font color=#9800cc>".$everynum."</font></td></tr>";
   }
 ?>
 <tr bgcolor="#9999ff"><td align="center" colspan=4>
 分页：
 <?php
  $allnum=sizeof($msg);
  $pages=ceil($allnum/$offset);
  if($pages>1)
  {
   for($z=1;$z<=$pages;$z++)
     {
     if($z==$page) echo "<font color=gray>[".$z."]</font>";
    else echo "<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?page=".$z."&action=".$HTTP_GET_VARS["action"]."\">[".$z."]</a>";
     }
  }
  else echo "只有1页";
 ?>
 </td></tr>
 <?php
echo "</table>";
index();
bottom();
}

//自定义统计
elseif($HTTP_GET_VARS["action"]=="view_myself")
{
session_start();
top("自定义统计");
?>
<table cellspacing=1 cellpadding=3 width=760 bgcolor="#b50000">
<!--<tr bgcolor="white">
<td>
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="d">
查询某一天的流量： </td><td>
<?php
$msg=file($redhat["path"].$redhat["data1"]);
$num=sizeof($msg)-1;
$y2=date("Y",$msg[0]);
$y1=date("Y",$msg[$num]);
$m2=date("m",$msg[0]);
$m1=date("m",$msg[$num]);
$d2=date("d",$msg[0]);
$d1=date("d",$msg[$num]);
echo "<select size=1 name=y>";
  for($ia=$y1;$ia<=$y2;$ia++)
    {
      if($ia==date("ia"))      echo "<option value=\"".$ia."\" selected>".$ia."年</option>";
     else echo "<option value=\"".$ia."\">".$ia."年</option>";
    }
echo "</select>";
echo "<select size=1 name=m>";
    for($ib=1;$ib<=12;$ib++)
    {
         if($ib<10) $ib="0".$ib;
         if($ib==date("m"))     echo "<option value=\"".$ib."\" selected>".$ib."月</option>";
    else echo "<option value=\"".$ib."\">".$ib."月</option>";
    }
echo "</select>";
echo "<select size=1 name=d>";
    for($ic=1;$ic<=31;$ic++)
    {
         if($ic<10) $ic="0".$ic;
         if($ic==date("d"))     echo "<option value=\"".$ic."\" selected>".$ic."日</option>";
    else echo "<option value=\"".$ic."\">".$ic."日</option>";
    }
    echo "</select>";
echo "<input type=\"submit\"  value=\"查询\">";
?>
</form>
</td>
</tr>
<tr bgcolor="white"><td>
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="m">
查询某月的流量： </td><td>
<?php
echo "<select size=1 name=y>";
  for($ia=$y1;$ia<=$y2;$ia++)
    {
      if($ia==date("Y"))      echo "<option value=\"".$ia."\" selected>".$ia."年</option>";
     else echo "<option value=\"".$ia."\">".$ia."年</option>";
    }
echo "</select>";
echo "<select size=1 name=m>";
    for($ib=1;$ib<=12;$ib++)
    {
     if($ib<10) $ib="0".$ib;
     if($ib==date("m"))     echo "<option value=\"".$ib."\" selected>".$ib."月</option>";
    else echo "<option value=\"".$ib."\">".$ib."月</option>";
    }
echo "</select>";
echo "<input type=\"submit\"  value=\"查询\">";
?>
</form>
</td></tr>
<tr bgcolor="white"><td>
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="y">
查询某年的流量： </td><td>
<?php
echo "<select size=1 name=y>";
  for($ia=$y1;$ia<=$y2;$ia++)
    {
    if($ia==date("Y"))       echo "<option value=\"".$ia."\" selected>".$ia."年</option>";
     else echo "<option value=\"".$ia."\">".$ia."年</option>";
    }
echo "<input type=\"submit\"  value=\"查询\">";
?>
</form>
</td></tr>
<tr bgcolor="white">
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="longtime">
<td>查询某一时段的流量：</td><td>
<?php

    echo "<input type=\"text\" name=\"begin_time\" value=".date("Y-m-d_H:i:s",$msg[$num]).">";


    echo "&nbsp;--&nbsp;<input type=\"text\" name=\"end_time\" value=".date("Y-m-d_H:i:s",$msg[0]).">";

    echo "<input type=\"submit\"  value=\"查询\"><font color=blue>&nbsp;&nbsp;输入查询时请注意格式，\"<font color=red>_</font>\"符号请不要去掉</font>";
?>
</form>
</td></tr>-->
<tr bgcolor="white">
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="ip">
<td>查询某个IP是否访问过</td><td>
<input type="text" name="search_ip" value="请输入IP地址" onClick="this.value=''"><input type="submit" value="查询">
</form>
</td>
</tr>

<tr bgcolor="white">
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="put">
<input type="hidden" name="search" value="ip2local">
<td>IP转换地理位置</td><td>
<input type="text" name="ip" value="请输入IP地址" onClick="this.value=''"><input type="submit" value="查询">
</form>
</td>
</tr>

<tr bgcolor="white">
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="post">
<input type="hidden" name="action" value="adminlogin">
<td>管理员登陆</td><td>&nbsp;&nbsp;帐号<input type="text" name="root" value="<?php echo $HTTP_SESSION_VARS["session_name"];?>">&nbsp;&nbsp;密码<input type="password" name="pass" value="<?php echo $HTTP_SESSION_VARS["session_pass"];?>"><input type="submit" value="登陆"></td>
</form>
</td></tr>
</table>
<?php
index();
bottom();
}
####################管理员登陆管理
elseif($HTTP_POST_VARS["action"]=="adminlogin")
{
  $logincheck=true;
  $loginname=$HTTP_POST_VARS["root"];
  $loginpass=$HTTP_POST_VARS["pass"];
  session_start("");
  session_register("session_name");
  session_register("session_pass");
  $HTTP_SESSION_VARS['session_name']=$loginname;
  $HTTP_SESSION_VARS['session_pass']=$loginpass;
  if($redhat["name"]!=$loginname) {$err="<font color=\"red\">帐号输入有误</font><br>";$logincheck=false;}
  if($redhat["pass"]!=$loginpass) {$err.="<font color=\"red\">密码输入有误</font>";$logincheck=false;}
  top("首页--自定义统计--管理员登陆");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->管理员登陆<br>";
  if(!$logincheck)
      {
        session_unregister("session_name");
        session_unregister("session_pass");
        echo $err;
        echo "<center><button onClick=\"JavaScript:window.history.back(-1);\">返回重来</button></center>";
                exit;
      }
?>
<p>
<table cellspacing=1 cellpadding=3 width=600 bgcolor="black">
<tr align="center"><td><font color=yellow>登陆成功->请选择操作</font></td></tr>
<tr bgcolor="white"><td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=clear" onClick="return check();">清空统计数据</a>:<font color=red>清空本站所有的统计数据,请小心使用</font></td></tr>
<tr bgcolor="white"><td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=stopip">封IP</a>:<font color=red>在线编辑IP列表,该表中的IP无法访问本站含有数据统计的页面</font></td></tr>
<tr bgcolor="white"><td>
<span id="phpserver" style="display:none">
<table cellspacing=1 cellpadding=3 width=650 bgcolor=#339900 align="center">
<?php
echo "<tr bgcolor=\"#ccddee\"><td colspan=2>PHP服务器信息</td></tr>";
foreach($HTTP_SERVER_VARS as $key=>$var)
 {
  echo "<tr bgcolor=white><td>$key</td><td>$var</td></tr>";
 }
echo "<tr bgcolor=\"#ccddee\"><td colspan=2>PHP&nbsp;COOKIE信息</td></tr>";
foreach($HTTP_COOKIE_VARS as $key=>$var)
 {
  echo "<tr bgcolor=white><td>$key</td><td>$var</td></tr>";
 }
echo "<tr bgcolor=\"#ccddee\"><td colspan=2>PHP&nbsp;GET方法信息</td></tr>";
foreach($HTTP_GET_VARS as $key=>$var)
 {
  echo "<tr bgcolor=white><td>$key</td><td>$var</td></tr>";
 }
echo "<tr bgcolor=\"#ccddee\"><td colspan=2>PHP&nbsp;POST方法信息</td></tr>";
foreach($HTTP_POST_VARS as $key=>$var)
 {
  echo "<tr bgcolor=white><td>$key</td><td>$var</td></tr>";
 }
?>
</table>
</span>
<p align="center"><a href="JavaScript:show(phpserver)"><span id="hand">显示PHP环境变量</span></a>&nbsp;&nbsp;<a href="<?php echo $HTTP_SERVER_VARS['PHP_SELF']."?action=view_phpinfo";?>" target="_blank">查看函数phpinfo()的信息</a>
<form method="put" action="http://www.php.net/search.php" class="thin"  target="_blank">
<input type="hidden" name="lang" value="en_US">
<input type="text" name="pattern" value="PHP函数速查" size="20" onClick="this.value=''">
<select name="show" class="small">
<option value="quickref" selected>function list
<option value="nosource">whole site
<option value="manual">online documentation
<option value="bugdb">bug database
<option value="maillist">general mailing list
<option value="devlist">developer mailing list
<option value="phpdoc">documentation mailing list
</select><input type="submit" align="bottom" style="border-style: none; border-color: #FFFFFF" value="search" />
</form>
<br>
</td></tr>
<tr><td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=logout" title="退出管理"><font color=white>&lt;-退出管理</font></a></td></tr>
</table>
<script Language="JavaScript">

function show(o){
 if (o.style.display=='none') {
 o.style.display='';
 hand.innerHTML="关闭PHP环境变量显示";
 }
 else {
 o.style.display='none';
 hand.innerHTML="打开PHP环境变量显示";
 }
}

function check()
{
 if(confirm("是否确定清空网站流量统计数据?\n注意:请空后无法恢复!!!!!")==false)
 return false;
}
</script>
</p>
<?php
 index();
 bottom();
}
###################管理员登陆管理结束
##################清空统计数据
elseif($HTTP_GET_VARS["action"]=="clear")
{
  session_start();
  if($HTTP_SESSION_VARS["session_name"]!=$redhat["name"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或帐号输入有误\");window.history.back(-1);</script>";exit;}
  if($HTTP_SESSION_VARS["session_pass"]!=$redhat["pass"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或密码输入有误\");window.history.back(-1);</script>";exit;}
  for($i=1;$i<12;$i++)
  {
    if($redhat["data".$i]=="") continue;
    if(!file_exists($redhat["path"].$redhat["data".$i])) continue;
    $fp=fopen($redhat["path"].$redhat["data".$i],"w");
    fwrite($fp,"");
    fclose($fp);
    $p++;
  }
  top("首页--自定义统计--清空统计数据");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->清空统计数据<br>";
  echo "<p><center>清空数据成功,共清空<font color=red>".$p."</font>个文件";
  index();
  bottom();
}
#################清空统计数据结束
################禁止IP访问
elseif($HTTP_GET_VARS["action"]=="stopip")
{
  session_start();
  if($HTTP_SESSION_VARS["session_name"]!=$redhat["name"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或帐号输入有误\");window.history.back(-1);</script>";exit;}
  if($HTTP_SESSION_VARS["session_pass"]!=$redhat["pass"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或密码输入有误\");window.history.back(-1);</script>";exit;}
  $fp=fopen($redhat["path"].$redhat["badip"],"r");
  $msg=fread($fp,filesize($redhat["path"].$redhat["badip"]));
  fclose($fp);
  top("首页--自定义统计--禁止IP访问");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->禁止IP访问<br>";
?>
<form action="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>" method="POST">
<input type="hidden" name="action" value="stopip2">
<table cellspacing=1 cellspadding=3 width=700 bgcolor="gray">
<tr bgcolor="white"><td align="center">以下IP将禁止访问本站<br><br>
<font color=red>一行一个IP,如:192.168.0.45</font><br>或像这样的:<font color=blue>192.168.1.3,192.168.1.30</font>,则表示这段IP无法访问本站
</td></tr>
<tr><td align="center">
<textarea name=ipdata cols=70 rows=14>
<?php
echo $msg;
?>
</textarea>
</td></tr>
<tr><td align="center"><input type="submit" value="确定"></td></tr>
</table>
</form>
<?php
  index();
  bottom();
}
################禁止IP访问结束
###############执行禁止IP数据修改操作
elseif($HTTP_POST_VARS["action"]=="stopip2")
{
  session_start();
  if($HTTP_SESSION_VARS["session_name"]!=$redhat["name"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或帐号输入有误\");window.history.back(-1);</script>";exit;}
  if($HTTP_SESSION_VARS["session_pass"]!=$redhat["pass"]) {echo "<script language=\"JavaScript\">alert(\"操作超时或密码输入有误\");window.history.back(-1);</script>";exit;}
  $fp=fopen($redhat["path"].$redhat["badip"],"w");
  fwrite($fp,$HTTP_POST_VARS["ipdata"]);
  fclose($fp);
  top("首页--自定义统计--IP管理");
  echo "<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=stopip\">点击此处返回</a>";
  index();
  bottom();
}
###############执行禁止IP数据修改操作结束
##############退出管理
elseif($HTTP_GET_VARS["action"]=="logout")
{
session_start();
session_unregister("session_name");
session_unregister("session_pass");
if((!$HTTP_SERVER_VARS["session_name"])&&(!$HTTP_SERVER_VARS["session_pass"]))
echo "<script language=\"JavaScript\">alert(\"退出成功\");window.location.href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\";</script>";
else echo "系统出错,<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">请点击此处返回首页</a>";
}
#############退出管理结束
//查询某一天的流量统计
/*
elseif($HTTP_GET_VARS["search"]=="d")
{
   $day=$HTTP_GET_VARS["y"]."-".$HTTP_GET_VARS["m"]."-".$HTTP_GET_VARS["d"];
   $y1=$HTTP_GET_VARS["y"].$HTTP_GET_VARS["m"].$HTTP_GET_VARS["d"];
  //定义一个数组
  $dayarr=array();
  $tmpday=file($redhat["path"].$redhat["data1"]);
  for($i=0;$i<sizeof($tmpday);$i++)
  {
    $tmpday[$i]=trim($tmpday[$i]);
    $tmpday_arr=explode("^_^",$tmpday[$i]);
    if(!in_array(date("d",$tmpday_arr[0]),$dayarr)&&($y1==date("Ymd",$tmpday_arr[0]))) $dayarr[]=$tmpday[$i];
  }
  top("网站流量统计--".$day."日流量统计");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->查看<font color=blue>".$day."</font>的流量<hR size=1 color=#337699 align=center width=740>本站".$day."共访问<font color=red>".sizeof($dayarr)."</font>次，下面是访客的详情<br><br>";
?>
  <table cellspacing="1" cellpadding=2 bgcolor="#336699" width=740>
  <tr bgcolor="#f9f9f9" align="center"><td>来访时间(服务器)</td><td>IP</td><td>地理位置</td><td>URL来源</td><td>操作系统</td><td>浏览器</td></tr>
 <?php
 if(!$HTTP_GET_VARS["page"]) $page=1;
 else $page=$HTTP_GET_VARS["page"];
 $offset=$redhat["offset"];
 for($p=$offset*$page-$offset;$p<$page*$offset;$p++)
 {
   if(!$dayarr[$p]) continue;
   for($i=0;$i<sizeof($tmpday);$i++)
   {
    $tmpday[$i]=trim($tmpday[$i]);
    if(!$tmpday[$i]) continue;
    if($dayarr[$p]!=$tmpday[$i]) continue;
    $str=explode("^_^",$tmpday[$i]);
    if(strlen($str[3])>=50) $str1=substr($str[3],0,50)."...";
    else $str1=$str[3];
    if(ereg("^http://",$str[3])) $str[3]="<a href=$str[3] target=_blank>$str1</a>";
    echo "<tr bgcolor=\"white\" width=100%><td align=\"center\">".date("Y-m-d H:i:s",$str[0])."</td><td>".$str[1]."</td><td>".$str[2]."</td><td>".$str[3]."</td><td>".$str[4]."</td><td>".$str[5]."</td></tr>";
   }
 }
 ?>
 <tr bgcolor="#9999ff"><td align="center" colspan=6>
 分页：
 <?php
  $allnum=sizeof($dayarr);
  $pages=ceil($allnum/$offset);
  if($pages>1)
  {
   for($z=1;$z<=$pages;$z++)
     {
     if($z==$page) echo "<font color=gray>[".$z."]</font>";
    else echo "<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?page=".$z."&y=".$HTTP_GET_VARS["y"]."&m=".$HTTP_GET_VARS["m"]."&d=".$HTTP_GET_VARS["d"]."&search=d\">[".$z."]</a>";
     }
  }
  else echo "只有1页";
 ?>
 </td></tr>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
<?php
  index();
  bottom();
}

//查询某月的流量统计
elseif($HTTP_GET_VARS["search"]=="m")
{
  //定义一个数组
  $gettime=$HTTP_GET_VARS["y"].$HTTP_GET_VARS["m"];
  $montharr=array();
  $tmpmonth=file($redhat["path"].$redhat["data1"]);
  for($i=0;$i<sizeof($tmpmonth);$i++)
  {
    $tmpmonth[$i]=trim($tmpmonth[$i]);
    $tmpmonth_arr=explode("^_^",$tmpmonth[$i]);
    if(!in_array(date("d",$tmpmonth_arr[0]),$montharr)&&($gettime==date("Ym",$tmpmonth_arr[0]))) $montharr[]=date("d",$tmpmonth_arr[0]);
  }
   //本月总共有多少访问记录
   for($z=0;$z<sizeof($tmpmonth);$z++)
   {
    $tmpm[$z]=trim($tmpmonth[$z]);
    $tmpm_arr=explode("^_^",$tmpm[$z]);
    if(date("Ym",$tmpm_arr[0])==$gettime) $allnum++;
   }
     for($i=0;$i<sizeof($montharr);$i++)
     {
      for($p=0;$p<sizeof($tmpmonth);$p++)
      {
          $tmpmonth[$p]=trim($tmpmonth[$p]);
          $tmpmonth_arr1=explode("^_^",$tmpmonth[$p]);
           if(date("d",$tmpmonth_arr1[0])==$montharr[$i]&&($gettime==date("Ym",$tmpmonth_arr1[0]))) $tmp[$i]=$tmp[$i]+1; //得到每一月的访问次数
      }
     }
  top("网站流量统计--".$HTTP_GET_VARS["y"]."年".$HTTP_GET_VARS["m"]."流量统计");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->查看<font color=blue>".$HTTP_GET_VARS["y"]."年".$HTTP_GET_VARS["m"]."月</font>的流量<hR size=1 color=#337699 align=center width=740>本站".$HTTP_GET_VARS["y"]."年".$HTTP_GET_VARS["m"]."月共访问<font color=red>".$allnum."</font>次";
?>
  <table cellspacing="2" cellpadding=2 width=760>
 <?php
 for($i=0;$i<sizeof($montharr);$i++)
 {
   $everynum=($tmp[$i]/$allnum)*100;
   $everycent=substr($everynum,0,5)."%";
   $everycent_img=$everynum*6;
   if($montharr[$i]<10) $getday=substr($montharr[$i],1,2);
   else $getday=$montharr[$i];
   echo "<tr><td valign=\"middle\">".$getday."日&nbsp;<img src=\"./img/yeah.gif\" width=".$everycent_img." border=0 height=15>(<font color=\"#b90000\">".$everycent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$tmp[$i]."</font></td></tr>";
 }
 ?>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
  没有显示出来的月份为该月份流量为0
<?php
  index();
  bottom();
}

//查询某年的流量统计
elseif($HTTP_GET_VARS["search"]=="y")
{
  //定义一个数组
  $montharr=array();
  $tmpmonth=file($redhat["path"].$redhat["data1"]);
  for($i=0;$i<sizeof($tmpmonth);$i++)
  {
    $tmpmonth[$i]=trim($tmpmonth[$i]);
    $tmpmonth_arr=explode("^_^",$tmpmonth[$i]);
    if(!in_array(date("m",$tmpmonth_arr[0]),$montharr)&&($HTTP_GET_VARS["y"]==date("Y",$tmpmonth_arr[0]))) $montharr[]=date("m",$tmpmonth_arr[0]);
  }
   //今年总共有多少访问记录
   for($z=0;$z<sizeof($tmpmonth);$z++)
   {
    $tmpm[$z]=trim($tmpmonth[$z]);
    $tmpm_arr=explode("^_^",$tmpm[$z]);
    if(date("Y",$tmpm_arr[0])==$y) $allnum=$allnum+1;
   }
     for($i=0;$i<sizeof($montharr);$i++)
     {
      for($p=0;$p<sizeof($tmpmonth);$p++)
      {
          $tmpmonth[$p]=trim($tmpmonth[$p]);
          $tmpmonth_arr1=explode("^_^",$tmpmonth[$p]);
           if(date("m",$tmpmonth_arr1[0])==$montharr[$i]&&($y==date("Y",$tmpmonth_arr1[0]))) $tmp[$i]=$tmp[$i]+1; //得到每一月的访问次数
      }
     }
  top("网站流量统计--".$HTTP_GET_VARS["y"]."年流量统计");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->查看<font color=blue>".$HTTP_GET_VARS["y"]."年</font>的流量<hR size=1 color=#337699 align=center width=740>本站<font color=blue>".$HTTP_GET_VARS["y"]."</font>年共访问<font color=red>".$allnum."</font>次";
?>
  <table cellspacing="2" cellpadding=2 width=760>
 <?php
 for($i=0;$i<sizeof($montharr);$i++)
 {
   $everynum=($tmp[$i]/$allnum)*100;
   $everycent=substr($everynum,0,5)."%";
   $everycent_img=$everynum*6;
   if($montharr[$i]<10) $getmonth=substr($montharr[$i],1,2);
   else $getmonth=$montharr[$i];
   echo "<tr><td valign=\"middle\">".$getmonth."月&nbsp;<img src=\"./img/yeah.gif\" width=".$everycent_img." border=0 height=15>(<font color=\"#b90000\">".$everycent."</font>)</td><td align=\"right\" width=80>访问次数：<font color=#9800cc>".$tmp[$i]."</font></td></tr>";
 }
 ?>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
  没有显示出来的月份为该月份访问人数为0
<?php
  index();
  bottom();
}

//查询某一时段的流量
elseif($HTTP_GET_VARS["search"]=="longtime")
{
    $dayv=explode("_",$HTTP_GET_VARS["begin_time"]);
    $dayv1=explode("-",$dayv[0]);
    $dayv2=explode(":",$dayv[1]);
    $y1=$dayv1[0].$dayv1[1].$dayv1[2].$dayv2[0].$dayv2[1].$dayv2[2];
    $day_v=explode("_",$HTTP_GET_VARS["end_time"]);
    $day_v1=explode("-",$day_v[0]);
    $day_v2=explode(":",$day_v[1]);
    $y2=$day_v1[0].$day_v1[1].$day_v1[2].$day_v2[0].$day_v2[1].$day_v2[2];
  //定义一个数组
  $dayarr=array();
  $tmpday=file($redhat["path"].$redhat["data1"]);
  for($i=0;$i<sizeof($tmpday);$i++)
  {
    $tmpday[$i]=trim($tmpday[$i]);
    $tmpday_arr=explode("^_^",$tmpday[$i]);
    $check=date("YmdHis",$tmpday_arr[0]);
    if(($y2>=$check)&&($y1<=$check))
    if(!in_array($tmpday_arr[0],$dayarr)) $dayarr[]=$tmpday[$i];
  }
  top("网站流量统计--某一时段流量统计");
  echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->查看<font color=blue>".$begin_time."<font color=black>至</font>".$end_time."</font>的流量<hR size=1 color=#337699 align=center width=740>该段时间内本站".$day."共访问<font color=red>".sizeof($dayarr)."</font>次，下面是访客的详情<br><br>";
?>
  <table cellspacing="1" cellpadding=2 bgcolor="#336699" width=760>
  <tr bgcolor="#f9f9f9" align="center"><td>来访时间(服务器)</td><td>IP</td><td>地理位置</td><td>URL来源</td><td>操作系统</td><td>浏览器</td></tr>
 <?php
   if(!$HTTP_GET_VARS["page"]) $page=1;
   else $page=$HTTP_GET_VARS["page"];
 $offset=$redhat["offset"];
 for($p=$offset*$page-$offset;$p<$page*$offset;$p++)
 {
   if(!$dayarr[$p]) continue;
   for($i=0;$i<sizeof($tmpday);$i++)
   {
    $tmpday[$i]=trim($tmpday[$i]);
    if(!$tmpday[$i]) continue;
    if($dayarr[$p]!=$tmpday[$i]) continue;
    $str=explode("^_^",$tmpday[$i]);
    if(strlen($str[3])>=50) $str1=substr($str[3],0,50)."...";
    else $str1=$str[3];
    if(ereg("^http://",$str[3])) $str[3]="<a href=$str[3] target=_blank>$str1</a>";
    echo "<tr bgcolor=\"white\" width=100%><td align=\"center\">".date("Y-m-d H:i:s",$str[0])."</td><td>".$str[1]."</td><td>".$str[2]."</td><td>".$str[3]."</td><td>".$str[4]."</td><td>".$str[5]."</td></tr>";
   }
 }
 ?>
 <tr bgcolor="#9999ff"><td align="center" colspan=6>
 分页：
 <?php
  $allnum=sizeof($dayarr);
  $pages=ceil($allnum/$offset);
  if($pages>1)
  {
   for($z=1;$z<=$pages;$z++)
     {
     if($z==$page) echo "<font color=gray>[".$z."]</font>";
    else echo "<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?begin_time=".$HTTP_GET_VARS["begin_time"]."&end_time=".$HTTP_GET_VARS["end_time"]."&search=longtime&page=".$z."\">[".$z."]</a>";
     }
  }
  else echo "只有1页";
 ?>
 </td></tr>
  </table>
  <hr color=#ccddee size=1 align=center width=300>
<?php
  index();
  bottom();
}
*/
################查询某个IP是否访问过本站
elseif($HTTP_GET_VARS["search"]=="ip")
{
if(!eregi("[0-9.]",$HTTP_GET_VARS["search_ip"])) {echo "<script language=\"JavaScript\">alert(\"IP输入有误,无法查询\");window.history.back(-1);</script>";exit;}
$ipvar=explode(".",$HTTP_GET_VARS["search_ip"]);
for ($i=0; $i<4; $i++) {
  $ipvar[$i]=sprintf("%03d", $ipvar[$i]);
                       }
$ip1=implode(".",$ipvar);
$file=file($redhat["path"].$redhat["data3"]);
  for($i=0;$i<sizeof($file);$i++)
  {
    $file[$i]=trim($file[$i]);
    if(!$file[$i]) continue;
    $tmp=explode("^_^",$file[$i]);
    if(($tmp[0]==$ip1)||($HTTP_GET_VARS["search_ip"]==$tmp[0])) {$from=$tmp[1];$num=$tmp[2];$flag=1;break;}
  }
top("网站流量统计--自定义统计--查询某个IP是否访问过本站");
echo "<br><br><br>";
echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->查询某个IP是否访问过本站";
if($flag)
 {
     echo "<center>你查询的IP<font color=red>".$HTTP_GET_VARS["search_ip"]."</font>来自<font color=blue>".$from."</font>,共访问本站<font color=#9800cc>".$num."</font>次</center>";
 }
else echo "<center>你查询的IP<font color=red>".$HTTP_GET_VARS["search_ip"]."</font>没有访问过本站</centeR>";
index();
bottom();
 }
###############查询IP结束

##############IP换地理位置
elseif($HTTP_GET_VARS["search"]=="ip2local")
{
  if(!eregi("[0-9.]",$HTTP_GET_VARS["ip"])) {echo "<script language=\"JavaScript\">alert(\"IP输入有误,无法查询\");window.history.back(-1);</script>";exit;}
$ipvar=explode(".",$HTTP_GET_VARS["ip"]);
for ($i=0; $i<4; $i++) {
  $ipvar[$i]=sprintf("%03d", $ipvar[$i]);
}
  $ip2=implode(".",$ipvar);
  $file=file($redhat["ipdata"]);
  $a=0;
  $b=sizeof($file);
  while($a<($b-1))
    {
      $r=floor(($a+$b)/2);
      $tmp=explode(",",$file[$r]);
      if(strcmp($ip2,$tmp[0])>=0&&strcmp($ip2,$tmp[1])<=0){$msg=trim($tmp[2]).trim($tmp[3]).trim($tmp[4]).trim($tmp[5]);break;}
      if(strcmp($ip2,$tmp[0])>0) $a=$r;
      else $b=$r;
      if(!($a<$b-1)) $msg="未知地区";
    }
top("网站流量统计--首页--自定义统计");
echo "您的位置：<a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."\">首页</a>-><a href=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?action=view_myself\">自定义统计</a>->IP转换地理位置";
echo "<br><br><p><center>您查询的IP:<font color=red>".$HTTP_GET_VARS["ip"]."</font><br><br>查询结果:<font color=blue>".$msg."</font></center></p>";
index();
bottom();
}
#############IP           换地理位置结束
//默认显示的统计
else {
if(!$offset) $offset=$redhat["offset"];
top("网站流量统计--首页");
?>
<?php
pub_lm();
?>
<table cellspacing=1 cellpadding=2 width=96% bgcolor="#b50000">
<tr><td>
<select size=1 name=mlink onChange="javascript:window.location.href=mlink.options[mlink.selectedIndex].value" style="background-color:#dddddd;color:black">
<option value="redhat.php?offset=<?php echo $redhat["offset"];?>">显示访客个数</option>
<?php
for($i=10;$i<=100;$i+=5)
{
if($i==$offset) echo "<option value=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?offset=".$i."\" selected>".$i."</option>";
else echo "<option value=\"".$HTTP_SERVER_VARS["PHP_SELF"]."?offset=".$i."\">".$i."</option>";
}
?>
</select>
</td><td align="center" colspan=5><font color=yellow>最近<?php echo $offset;?>位访客的情况</font></td></tr>
<tr bgcolor="#88aadd" align="center"><td>来访时间(服务器)</td><td>IP</td><td>地理位置</td><td>URL来源</td><td>操作系统</td><td>浏览器</td></tr>
<?php
$msg=file($redhat["path"].$redhat["data1"]);
$num=sizeof($msg);
$pg=$HTTP_GET_VARS['pg'];
if($pg=="") $pg=1;
if($HTTP_GET_VARS['offset']!="") $offset=$HTTP_GET_VARS['offset'];
$start=$offset*$pg-$offset;
$end=$offset*$pg;
if( $redhat["everypage"]!="0" && $redhat["everypage"]!="1" ) $redhat["everypage"]="1";
if($redhat["everypage"]=="0")
 {
   $start=0;
   $end=21;
 }
for($i=$start;$i<$end;$i++)
{
  $msg[$i]=trim($msg[$i]);
  if(!$msg[$i]) continue;
  $str=explode("^_^",$msg[$i]);
  if(strlen($str[3])>=50) $str1=substr($str[3],0,50)."...";
  else $str1=$str[3];
  if(ereg("^http://",$str[3])) $str[3]="<a href=$str[3] target=_blank>$str1</a>";
  echo "<tr bgcolor=\"white\" width=100%><td align=\"center\">".date("Y-m-d H:i:s",$str[0])."</td><td>".$str[1]."</td><td>".$str[2]."</td><td>".$str[3]."</td><td>".$str[4]."</td><td>".$str[5]."</td></tr>";
}
if($redhat["everypage"]=="1") {
?>
<tr bgcolor="#ccddee"><td colspan=6>
分页：
<?php
$pgs=ceil($num/$offset);
for($i=1;$i<=$pgs;$i++)
  {
    if($pg==$i)
     {
      echo "<font color=gray>[".$i."]&nbsp;</font>";
      continue;
     }
      echo "<a href=\"".$HTTP_SERVER_VARS['PHP_SELF']."?pg=".$i."&offset=".$offset."\">[".$i."]</a>&nbsp;";
      $i1++;
      if($i1==27) {echo "<br>";$i1=0;}
  }
?>
</td></tr>
<?php
  }
?>
</table>
<br>
<?php
pub_lm();
?>
<?php
bottom();
}
?>
<?php
//public function -- defined
function top($title)
{
?>
<html>
<head>
<title><?php echo $title;?></title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<style TYPE="text/css">
a:link {  text-decoration: none; color: #000000}
a:hover {  text-decoration: underline; color: #000000}
a:visited {  text-decoration: none; color: #000000}
td,p,body {
        font-family: "宋体";
        font-size: 9pt;
        color: #000000;
          }
</style>
</head>
<body leftmargin=0 topmargin=0>
<center>
<br>
<span style="font-size:20px;color:#b50000"><?php echo $title;?></span>
<p>
<?php
global $redhat;
$onlinename=file($redhat["path"].$redhat["data7"]);
$begin_time=file($redhat["path"].$redhat["data1"]);
$begin_num=sizeof($begin_time)-1;
$begin_time1=$begin_time[$begin_num];
$var_begintime=explode("^_^",$begin_time1);
$randnum=rand(0,2);
$endmail=$redhat["mail"][$randnum];
echo "<table cellspacing=1 cellpadding=4 width=500 align=center bgcolor=\"#339988\"><tr bgcolor=\"white\"><td><div style=\"line-height:150%\">";
echo "开始统计时间：<font color=red>".date("Y-m-d H:i:s",$var_begintime[0])."</font>(服务器时间)";
echo "<br>当前时间：<font color=red>".date("Y-m-d H:i:s")."</font>(服务器时间)";
echo "<br>程序：<a href=\"mailto:".$endmail."\" title=\"给Redhat写信\">Redhat</a>";
echo "<br>使用站点名称：<a href=\"".$redhat["homepage_url"]."\" target=\"_blank\" title=\"".$redhat["homepage_name"]."\"><font color=blue>".$redhat["homepage_name"]."</font></a>";
echo "<br>当前在线：<font color=#9800cc>".sizeof($onlinename)."人</font>";
echo "<br>总共访问：<font color=#0066cc>".sizeof($begin_time)."次</font>";
echo "<br>您的IP:<font color=red>".$redhat["ip"]."</font>";
echo "</div></td></tr></table>";
?>
</p>
<?php
index();
?>
<hr size=1 color=black align="center" width=760>
<?php
}
function bottom()
{
global $redhat;
echo "</p>".$redhat["copyright"]."<table cellspacing=0 cellpadding=0 width=760><tr><td bgcolor=\"black\" height=1 width=760></td></tr><tr><td height=5></td></tr></table></center></body></html>";
}
function index()
{
global $redhat;
global $PHP_SELF;
global $action;
global $search;
if(($action)||($search))
echo "<center><a href=\"redhat.php\"><img src=\"img/home.gif\" border=0>返回首页</a></center>";
}
function pub_lm()
{
global $HTTP_SERVER_VARS;
?>
<table cellspacing=2 cellpadding=2 width=98% align="center"><tr>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_yeah">年流量统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_month">今年月流量统计</a></td>
<Td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_onemonth">本月流量统计</a></Td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_hour">今天小时流量统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_os">操作系统统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_browse">浏览器统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_ip">IP流量统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_urlfrom">URL来源统计</a></td>
<td><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?action=view_myself">自定义统计</a></td>
</tr></table>
<?php
}
?>